/* Copyright 2010 ESRI
* 
* All rights reserved under the copyright laws of the United States
* and applicable international laws, treaties, and conventions.
* 
* You may freely redistribute and use this sample code, with or
* without modification, provided you include the original copyright
* notice and use restrictions.
* 
* See the use restrictions at http://help.arcgis.com/en/sdk/10.0/usageRestrictions.htm
* 
*/
package arcgissamples.scenario;


/** Interface that defines Action ids and methods for performing actions
 * such as zoomin, zoomout, pan, identify..
 */

public interface MapActions {
  //Zoomin
  public final static String ZOOM_IN_ACTION = "ZoomIn";
  //Zoomout
  public final static String ZOOM_OUT_ACTION = "ZoomOut";
  //Pan
  public final static String PAN_ACTION = "Pan";
  //Identify
  public final static String IDENTIFY_ACTION = "Identify";
  //Connect
  public final static String CONNECT_ACTION = "Connect";

  public void zoomIn();
  /**
   * Performs zoomout action
   */
  public void zoomOut();
  /**Performs pan action
   *
   */
  public void pan();

  /**Identify action
   */
  public void identify();

  /**Displays Dialog to Connect to SOMServer
   */

  public void displayConnectDialog();
}
